name: keyboard
description: "A new Flutter project."

publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.1+102

environment:
  sdk: ^3.7.0

dependencies:
  flutter:
    sdk: flutter
  #框架
  get: ^4.7.2

  #权限申请
  permission_handler: ^12.0.0+1

  # 网络请求
  dio: ^5.8.0+1
  retrofit: '>=4.0.0 <5.0.0'
  pretty_dio_logger: ^1.4.0
  json_annotation: ^4.9.0

  #依赖注入
  injectable: 2.5.0

  #获取设备信息
  device_info_plus: ^11.3.3
  android_id: ^0.4.0
  # 包信息
  package_info_plus: ^8.3.0
  # ios隐私追踪
  app_tracking_transparency: ^2.0.6+1

  #存储框架
  mmkv: ^2.2.1
  #网页跳转
  flutter_inappwebview: ^6.1.5
  # 系统的App设置
  app_settings: ^6.1.1

  #屏幕适配
  flutter_screenutil: ^5.9.3
  #弹窗
  flutter_smart_dialog: ^4.9.8+7

  markdown: ^7.3.0
  #html
  flutter_widget_from_html: ^0.16.0

  #轮播
  carousel_slider: ^5.0.0

  #本地化
  flutter_localizations:
    sdk: flutter

  #上、下拉刷新
  easy_refresh: ^3.4.0

  #列表拖动
  reorderables:
    path: plugins/reorderables

    #下拉菜单
  dropdown_button2: ^3.0.0-beta.22

  # 图片选择器
  wechat_assets_picker: ^9.5.0

  # 图片预览
  photo_view: ^0.15.0

  # 文件路径处理
  path: ^1.8.3

  collection: ^1.19.1

  #虚线
  dotted_border: ^2.1.0

  #网络图片
  cached_network_image: ^3.4.1

  #左滑
  flutter_slidable: ^4.0.0

  # MarkDown文档渲染
  flutter_markdown: ^0.7.7

  # 解决PageView嵌套和缓存问题
  nested_scroll_views: ^0.0.12

  #自动缩小文本
  auto_size_text: ^3.0.0

  #bugly
  flutter_bugly: 1.1.0

  # 视频播放
  video_player: ^2.9.5
  # 基于video_player的封装库，能自定义UI
  chewie: ^1.11.3



  #QR
  qr_flutter: ^4.1.0

  # 动画
  lottie: ^3.3.1

  # url跳转
  url_launcher: ^6.3.1

  # 字符串替换
  sprintf: ^7.0.0

  # uuid生成
  uuid: ^4.2.2

  #android日志打印
  atmob_logging:
    version: ^0.0.5
    hosted:
      name: atmob_logging
      url: http://pub.v8dashen.com/

  #渠道包信息
  atmob_channel_reader:
    version: ^0.0.2
    hosted:
      name: atmob_channel_reader
      url: http://pub.v8dashen.com/

  #oaid
  oaid:
    git:
      url: http://git.atmob.com:28999/Atmob-Flutter/Oaid.git
      ref: v0.0.2

  #引力引擎
  gravity_engine:
    git:
      url: http://git.atmob.com:28999/Atmob-Flutter/gravity_engine.git
      ref: v0.0.2

  flutter_umeng:
    path: plugins/flutter_umeng

  # 苹果内购插件
  apple_pay:
    path: plugins/apple_pay
  # Android键盘插件
  keyboard_android:
    path: plugins/keyboard_android

  #并发
  synchronized: ^3.3.1

  #支付
  agile_pay:
    path: plugins/agile_pay


  cupertino_icons: ^1.0.8


dev_dependencies:
  flutter_test:
    sdk: flutter

  #Retrofit代码生成器
  retrofit_generator: '>=8.0.0 <10.0.0' # for Dart 3.3 use ^9.0.0
  #json序列化
  json_serializable: 6.9.4
  #  代码生成
  build_runner: 2.4.15

  #  依赖注入代码生成
  injectable_generator: 2.7.0


  string_get_runner:
    git:
      url: http://git.atmob.com:28999/Atmob-Flutter/string_get_runner.git
      ref: v0.0.4

  flutter_gen_runner: 5.10.0

  flutter_launcher_icons: ^0.14.3

  flutter_lints: ^5.0.0

  #----------gen配置---------------
flutter_gen:
  output: lib/resource/
  colors:
    inputs:
      - assets/color/business_color.xml
      - assets/color/common_color.xml
      - assets/color/color.xml

flutter_string_get:
  language: 'zh_CN'




flutter:


  uses-material-design: true

  assets:
    - assets/anim/
    - assets/images/
    - assets/videos/


wechat_kit:
  ios: no_pay # 默认 pay
  app_id: wx21272929e8fd33e9
  universal_link: https://youyue.shop
